Bug 6784 - [UPDATE REQUEST] parted-3.2-1
: [UPDATE REQUEST] parted-3.2-1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 20:46 MSK by Konstantin Vlasov
Modified: 2016-03-09 20:06 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
ss (223.90 KB, image/png)
2016-03-02 17:59 MSK, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2016-03-01 20:46:22 MSK
Upgrade to parted-3.2.
Comment 1 Konstantin Vlasov 2016-03-01 20:57:56 MSK
https://abf.rosalinux.ru/build_lists/2626153
https://abf.rosalinux.ru/build_lists/2626154

Advisory: Upgraded to version 3.2.
Comment 2 Andrey Bondrov 2016-03-02 16:28:25 MSK
Advisory: "Update gparted to new version 0.25.0"

https://abf.rosalinux.ru/build_lists/2626323
https://abf.rosalinux.ru/build_lists/2626324
Comment 3 Vladimir Potapov 2016-03-02 17:46:46 MSK
libparted убирает ошибку создания раздела в diskdrake
правда, светится ошибка
diskdrake
Gtk-CRITICAL **: gtk_cell_view_set_cell_data: assertion 'cell_view->priv->displayed_row != NULL' failed at /usr/lib/libDrakX/interactive/gtk.pm line 530.
(add, 8, 348616704, 3035136)
Comment 4 Vladimir Potapov 2016-03-02 17:48:58 MSK
gparted по-прежнему падает с ошибкой
gparted
======================
libparted : 3.2
======================
/usr/sbin/gparted: строка 193:  7492 Ошибка сегментирования                   (слепок снят) $BASE_CMD
Comment 5 Vladimir Potapov 2016-03-02 17:59:40 MSK
Created attachment 4405 [details]
ss

Состояние перед падением
Comment 6 Vladimir Potapov 2016-03-02 18:27:52 MSK
https://abf.rosalinux.ru/build_lists/2626348
Comment 7 Konstantin Vlasov 2016-03-02 18:36:09 MSK
(In reply to comment #3)
> libparted убирает ошибку создания раздела в diskdrake
> правда, светится ошибка
> diskdrake
> Gtk-CRITICAL **: gtk_cell_view_set_cell_data: assertion
> 'cell_view->priv->displayed_row != NULL' failed at
> /usr/lib/libDrakX/interactive/gtk.pm line 530.
> (add, 8, 348616704, 3035136)

Эта ошибка, вроде бы, не должна ни на что влиять. Драковые утилиты сыпят этими ошибками GTK направо и налево, но прекрасно продолжают работать. Обычно это какие-то внутренние ассерты в GTK и вызваны исключительно поведением графической части, а не функциональной.
Comment 8 Vladimir Potapov 2016-03-02 19:50:41 MSK
https://abf.rosalinux.ru/build_lists/2626359
Comment 9 Vladimir Potapov 2016-03-02 20:48:01 MSK
С  новым gtkmm все так же, чуть длиннее сообщение об ошибке:

/usr/sbin/gparted: строка 193:  8601 Ошибка сегментирования                   (слепок снят) $BASE_CMD
Too few arguments.
Comment 10 Vladimir Potapov 2016-03-03 18:09:51 MSK
(In reply to comment #1)
> https://abf.rosalinux.ru/build_lists/2626153
> https://abf.rosalinux.ru/build_lists/2626154
> 
> Advisory: Upgraded to version 3.2.
The update is sent to expanded testing
**************************************
Comment 11 Vladimir Potapov 2016-03-03 20:35:41 MSK
(In reply to comment #2)
> Advisory: "Update gparted to new version 0.25.0"
> 
> https://abf.rosalinux.ru/build_lists/2626323
> https://abf.rosalinux.ru/build_lists/2626324
The update is sent to expanded testing
**************************************
Comment 12 Andrey Bondrov 2016-03-04 09:10:45 MSK
Please check if gparted 0.22.0 segfaults. We need to find latest version that doesn't segfault.

https://abf.rosalinux.ru/build_lists/2626538
https://abf.rosalinux.ru/build_lists/2626539
Comment 13 Vladimir Potapov 2016-03-04 09:45:50 MSK
(In reply to comment #12)
> Please check if gparted 0.22.0 segfaults. We need to find latest version
> that doesn't segfault.
> 
> https://abf.rosalinux.ru/build_lists/2626538
> https://abf.rosalinux.ru/build_lists/2626539
e2fs update solve the issue
Comment 14 Vladimir Potapov 2016-03-09 17:23:28 MSK
parted-3.2-1
https://abf.rosalinux.ru/build_lists/2626153
https://abf.rosalinux.ru/build_lists/2626154

gparted-0.25.0-1
https://abf.rosalinux.ru/build_lists/2626323
https://abf.rosalinux.ru/build_lists/2626324
********************** Advisory ***************************
Parted: Upgraded to version 3.2
Update gparted to new version 0.25.0
***********************************************************
QA Verified